% Optimization: Here, we compare the results of the optimization
% parameters (with 47 muscles) when doubling the number of samples
% and iterations.

full_task_normal = [0.00146818; 0.000921463; 0.0433757; 0.00309512; 0.120331];
full_effort_normal = [0.0270352; 0.0465972; 0.0328721; 0.0428094; 0.0520095];
full_total_normal = [0.0524473; 0.063266; 0.085116; 0.0578125; 0.195558];

%results when doubling nbr samples and iterations
full_task_long = [0.000419565; 0.000401436; 0.0373835; 0.00117259; 0.112164];
full_effort_long = [0.0337676; 0.0349085; 0.0302181; 0.0328348; 0.0498393];
full_total_long = [0.0469417; 0.0462018; 0.0802636; 0.0392155; 0.169948];

task_weight = 5;
task_diff = sqrt(full_task_normal/task_weight) - sqrt(full_task_long/task_weight);

display('mean difference in cm');
mean(task_diff) * 100
display('standard deviation in cm');
std(task_diff)

display('mean effort ratio:');
mean(full_effort_long./full_effort_normal)
display('standard deviation effort ratio:');
std(full_effort_long./full_effort_normal)

